<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ezm_common_bg"
    android:orientation="vertical">

    <com.ez.ertc.meeting.widget.MtTitleBar
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:ezm_tbTitle="@string/ys_mt_my_sets" />

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="36dp"
                android:gravity="center_vertical"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/ys_mt_sets_single"
                android:textColor="@color/ezm_c3"
                android:textSize="@dimen/ezm_f28" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/ys_mt_my_voice_stimulation"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32" />

                <Switch
                    android:id="@+id/swVoice"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="33dp"
                android:gravity="center_vertical"
                android:lineSpacingMultiplier="1.2"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/ys_mt_my_voice_stimulation_tip"
                android:textColor="@color/ezm_c3"
                android:textSize="@dimen/ezm_f24" />
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/ys_mt_my_audio_display"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32" />

                <Switch
                    android:id="@+id/swAudioDisplay"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="33dp"
                android:gravity="center_vertical"
                android:lineSpacingMultiplier="1.2"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/ys_mt_my_audio_display_tip"
                android:textColor="@color/ezm_c3"
                android:textSize="@dimen/ezm_f24" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/ys_mt_my_member_toast"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32" />

                <Switch
                    android:id="@+id/swToast"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/ezm_line_1px" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/ys_mt_my_audio_mode_txt"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32" />

                <Switch
                    android:id="@+id/swAudioMode"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="33dp"
                android:gravity="center_vertical"
                android:lineSpacingMultiplier="1.2"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/ys_mt_my_audio_mode_tip"
                android:textColor="@color/ezm_c3"
                android:textSize="@dimen/ezm_f24" />

            <LinearLayout
            android:id="@+id/llMtSets"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="36dp"
                android:layout_marginTop="10dp"
                android:gravity="center_vertical"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/ys_mt_sets_host"
                android:textColor="@color/ezm_c3"
                android:textSize="@dimen/ezm_f28" />
            <LinearLayout
                android:id="@+id/llAutoMute"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:layout_marginTop="10dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:foreground="?attr/selectableItemBackground">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32"
                    android:text="@string/ys_mt_sets_mute_auto_txt"/>
                <TextView
                    android:id="@+id/tvAutoMute"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="12dp"
                    android:textColor="@color/ezm_c3"
                    android:textSize="@dimen/ezm_f32"
                    tools:text="@string/ys_mt_sets_mute_auto_limit"/>
                <com.ez.ertc.meeting.widget.MtTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c4"
                    android:textSize="16dp"
                    android:text="@string/ezm_icon_arrow_right"/>
            </LinearLayout>


            <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/ezm_line_1px" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/ys_mt_my_water_mark"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32" />

                <Switch
                    android:id="@+id/swWaterMark"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>

                <View
                android:layout_width="match_parent"
                android:layout_height="1px"
                android:background="@color/ezm_line_1px" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:paddingLeft="16dp"
                android:paddingRight="16dp">

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/ertc_room_setting_save_av_data"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32" />

                <Switch
                    android:id="@+id/swSaveAVData"
                    style="@style/ezmSwitch"
                    tools:ignore="NewApi" />
            </LinearLayout>

            <TextView
                android:layout_width="match_parent"
                android:layout_height="33dp"
                android:gravity="center_vertical"
                android:lineSpacingMultiplier="1.2"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:text="@string/ys_mt_my_water_mark_tip"
                android:textColor="@color/ezm_c3"
                android:textSize="@dimen/ezm_f24" />
            <LinearLayout
                android:id="@+id/llNetwork"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:layout_marginTop="10dp"
                android:background="@color/ezm_white"
                android:gravity="center_vertical"
                android:orientation="horizontal"
                android:foreground="?attr/selectableItemBackground"
                android:visibility="gone">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c2"
                    android:textSize="@dimen/ezm_f32"
                    android:text="@string/ys_mt_sets_network"/>
                <com.ez.ertc.meeting.widget.MtTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="@color/ezm_c4"
                    android:textSize="16dp"
                    android:text="@string/ezm_icon_arrow_right"/>
            </LinearLayout>
        </LinearLayout>

            <TextView
                android:id="@+id/tvSdkVersion"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="50dp"
                android:ellipsize="end"
                android:gravity="center"
                android:paddingLeft="16dp"
                android:paddingRight="16dp"
                android:singleLine="true"
                android:textColor="@color/ezm_c4"
                android:textSize="@dimen/ezm_f26"
                android:visibility="invisible" />
        </LinearLayout>
    </ScrollView>
</LinearLayout>